package in.benchresources.normal.loan.approval.service;

import in.benchresources.entities.validateemployeedetail.ValidateEmployeeDetailRequestType;
import in.benchresources.entities.validateemployeedetail.ValidateEmployeeDetailResponseType;
import in.benchresources.services.validateemployeedetailservice.IValidateEmployeeDetailService;

import javax.jws.WebService;

@WebService(serviceName="ValidateEmployeeDetailService", endpointInterface="in.benchresources.services.validateemployeedetailservice.IValidateEmployeeDetailService",
targetNamespace="http://benchresources.in/services/ValidateEmployeeDetailService/", portName="ValidateEmployeeDetailServicePort", name="ValidateEmployeeDetailServiceImpl")
public class ValidateEmployeeDetailServiceImpl implements IValidateEmployeeDetailService {

	public ValidateEmployeeDetailResponseType validateEmployeeDetail(ValidateEmployeeDetailRequestType parameters) {


		System.out.println("ValidateEmployeeDetailServiceImpl>>Grade : " + parameters.getEmployeeGrade());
		System.out.println("ValidateEmployeeDetailServiceImpl>>Id : " + parameters.getEmployeeId());
		System.out.println("ValidateEmployeeDetailServiceImpl>>Name : " + parameters.getEmployeeName());


		// create object response type and SET values based on the below conditions
		ValidateEmployeeDetailResponseType validateEmployeeDetailResponseType = new ValidateEmployeeDetailResponseType();

		// this dummy method, just check user entered the values or not
		if(null != parameters && 
				null != parameters.getEmployeeId() && !parameters.getEmployeeId().equalsIgnoreCase("") && 
				null != parameters.getEmployeeName() && !parameters.getEmployeeName().equalsIgnoreCase("") && 
				null != parameters.getEmployeeGrade() && !parameters.getEmployeeGrade().equalsIgnoreCase("")){

			validateEmployeeDetailResponseType.setValidated("Yes");
		}
		else {

			validateEmployeeDetailResponseType.setValidated("No");
		}

		// finally return response type, after setting the VALIDATED values (Yes/No)
		return validateEmployeeDetailResponseType;
	}
}